Make click anywhere in symbol select/identify the object (i.e. when symbol is bigger than the actual 

object)

2011-05-08 03:08 AM - Alister Hood

Status: Open

Priority: Low

Assignee:

Category: GUI

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13864

Description

Currently if you use a large point symbol you still need to click right in the center of the symbol when using the info or select single symbol

tools.  This is confusing: I think it is intuitive for these tools to work when you click anywhere inside the symbol.

Similarly, if you use a thick line for a polyline layer (or a polygon border) you currently need to click right in the middle of the line (or inside

the polygon).

Also see #3805 regarding snapping

History

#1 - 2011-05-08 03:11 AM - Giovanni Manghi

you can set the tolerance of the identify tool in the qgis options, "map tools" section. Closing?

#2 - 2011-05-08 03:18 AM - Alister Hood

No, this is not quite the same as tolerance.  It is about the symbol being bigger than the actual object.

e.g. if I symbolise a point layer with 20mm circles then most users would expect that if they click anywhere in the circle then it would select or identify the

object.  But they actually need to click right in the centre of the circle (or the tolerance distance from the centre).

#3 - 2011-05-08 03:21 AM - Alister Hood

Also, I don't think the tolerance setting affects the select single feature tool (sorry - I called it "Select single symbol tool" in the description.

#4 - 2011-05-08 03:24 AM - Giovanni Manghi

I just tested:

I can set a big symbol (ex: for a point layer) and then identify the features even if not clicking in the center of the symbol (even not clicking on the symbol at

all), it is enough to change the "search radius for identifying and displaying map tips" parameter.

#5 - 2011-05-08 03:29 AM - Alister Hood

Yes, as long as the search radius is bigger than the symbol.
But most users wouldn't expect to need to change the search radius to something bigger than their symbol.  And what if the symbol is defined in map units

rather than mm?  Then they would need to change the search radius when they zoom in... or simply click in the middle of the symbol.

It would be intuitive for the search radius to start at the edge of the symbol, rather than at the edge of the actual object (which is often smaller than the

symbol), which is what it does now.

#6 - 2012-02-02 02:58 AM - Damien Boilley

I second this demand: in other GIS, there is no tolerance for the identify or select tool, or maybe 1 pixel. But when you click on the representation of an

object, you select or identify it.

Selection should not be based on the GIS object but on its screen representation ; it may be the symbol for a point, the thickness of a line or a polygon

border.

#7 - 2012-10-06 02:33 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#8 - 2017-05-01 12:41 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Easy fix? set to No

#9 - 2017-05-01 02:23 PM - Regis Haubourg

- Description updated

I agree with the need a lot. We sometimes use geometry generator or offsets so that it's really har for a user to know where to clic for making the identify

work.

#10 - 2018-03-02 09:20 PM - James Greener

I agree with the need as well. 

Throughout the work day for quality control, the 'identify' tool is one of our most-used tools. 

We change the symbols to make identification of the type of feature easier but oftentimes there are multiple features at a single point. We either have to

change the identify mode to "current layer" and select the layer we wish to identify, or we remain on the "top down, stop at first" identify mode and move the

layer we want to identify to the top of the layer panel. But if we are switching back and forth identifying layers at the same point, this means moving layers

around several times.

Being able to click directly on the symbol to identify that layer would definitely be a time-saver.

#11 - 2018-03-03 09:26 AM - Giovanni Manghi

- Assignee deleted (nobody -)
